<?php
namespace QuizPress;

use QuizPress\Ajax\Addons;


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
use QuizPress\Ajax\Admin;
use QuizPress\Ajax\Frontend;
use QuizPress\Ajax\Settings;
use QuizPress\Ajax\Import;

class Ajax {

	public static function init() {
		$self = new self();
		$self->dispatch_settings();
	}

	public function dispatch_settings() {
		( new Settings() )->dispatch_actions();
		( new Admin() )->dispatch_actions();
		( new Frontend() )->dispatch_actions();
		( new Addons() )->dispatch_actions();
		Import::init();
	}
}
